#!/bin/bash

usrname=`whoami`

# user check
if [ $usrname != "root" ] ; then
  echo -e "\nエラー：rootユーザで実行してください\n"
  exit 1
fi

# Env. Check

os=`cat /etc/issue | awk '{print $1}'`
ver=`cat /etc/issue | awk '{print $2}'`
mver=`echo $ver | cut -c 1-5`

env_Fontmap01=`ls /usr/local/share/fonts/CODE39.ttf | grep 'CODE39' -c` 
if [ $env_Fontmap01 -eq 0 ] ; then
  echo -e "\nエラー：既にフォント環境が変更されています。\n"
  echo -e "\n　　　　続行すると、現在の環境を変更する恐れがありますので、"
  echo -e "\n　　　　アンインストールを中止します。(ver.$mver)\n"
  exit 1
fi

echo "Technical BarCodeフォント アンインストール中..."

# file delete
rm /usr/local/share/fonts/CODE39.ttf
fc-cache -fv

echo "Technical BarCodeフォント アンインストール終了!!"
exit 0
